%define upstream_name    MIME-Charset
%define upstream_version 1.013.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Charset Informations for MIME
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN)
BuildRequires: perl(Encode) >= 1.980.0
BuildRequires: perl(Encode::HanExtra) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(POD2::Base) >= 0.41.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
MIME::Charset provides informations about character sets used for MIME messages
on Internet.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

%check
%__make test

%install
%make_install

%files
%doc ARTISTIC COPYING Changes META.json MYMETA.yml README
%{perl_vendorlib}/MIME
%{perl_vendorlib}/POD2
%{_mandir}/*/*

%changelog
* Sat Aug 13 2022 tv <tv> 1.13.1-1.mga9
+ Revision: 1877355
- update to 1.013.1

* Sun Mar 20 2022 umeabot <umeabot> 1.12.2-4.mga9
+ Revision: 1809582
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.12.2-3.mga8
+ Revision: 1505022
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.12.2-2.mga7
+ Revision: 1284572
- Mageia 7 Mass Rebuild

* Fri Jul 28 2017 shlomif <shlomif> 1.12.2-1.mga7
+ Revision: 1132030
- New version 1.012.2

* Thu Apr 27 2017 neoclust <neoclust> 1.12.0-4.mga6
+ Revision: 1097799
- Add P0 - Fixes CVE-2016-1238 (mga#19051)

* Sun Jun 19 2016 pterjan <pterjan> 1.12.0-3.mga6
+ Revision: 1029890
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.12.0-2.mga6
+ Revision: 967496
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 1.12.0-1.mga6
+ Revision: 849068
- update to 1.012

* Wed Oct 15 2014 umeabot <umeabot> 1.11.1-4.mga5
+ Revision: 748863
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.11.1-3.mga5
+ Revision: 685292
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.11.1-2.mga4
+ Revision: 539631
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 sander85 <sander85> 1.11.1-1.mga4
+ Revision: 492545
- update to 1.011.1

* Fri Sep 27 2013 sander85 <sander85> 1.11.0-1.mga4
+ Revision: 487830
- update to 1.011.0

* Sun Aug 25 2013 sander85 <sander85> 1.10.1-1.mga4
+ Revision: 471601
- update to 1.010.1

* Fri Jun 07 2013 jquelin <jquelin> 1.10.0-1.mga4
+ Revision: 439495
- update to 1.010

* Sun Jan 13 2013 umeabot <umeabot> 1.9.2-2.mga3
+ Revision: 369323
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.9.2-1.mga3
+ Revision: 255095
- update to 1.009.2

* Wed Jun 15 2011 jquelin <jquelin> 1.9.1-1.mga2
+ Revision: 107064
- update to 1.009.1

* Sat Feb 26 2011 jquelin <jquelin> 1.8.1-1.mga1
+ Revision: 60229
- update to 1.008.1

* Sat Jan 22 2011 jquelin <jquelin> 1.8.0-2.mga1
+ Revision: 30745
- mageia rebuild
- imported package perl-MIME-Charset

